
package cn.com.poc.thirdparty.resource.text_in.entity.extraction.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class CreateExtractionResponse {

    private Config config;
    private String creator;
    private String filedata;
    private String filename;
    private List<KeyInfo> key_info_list;
    private Long token_mode;

    public Config getConfig() {
        return config;
    }

    public void setConfig(Config config) {
        this.config = config;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getFiledata() {
        return filedata;
    }

    public void setFiledata(String filedata) {
        this.filedata = filedata;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public List<KeyInfo> getKey_info_list() {
        return key_info_list;
    }

    public void setKey_info_list(List<KeyInfo> key_info_list) {
        this.key_info_list = key_info_list;
    }

    public Long getToken_mode() {
        return token_mode;
    }

    public void setToken_mode(Long token_mode) {
        this.token_mode = token_mode;
    }
}
